Index: main/waeup.futminna/trunk/src/waeup/futminna/applicants/applicant.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/applicants/applicant.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/applicants/applicant.py	(revision 8619)
@@ -21,5 +21,5 @@
 from waeup.kofa.applicants.applicant import Applicant, ApplicantFactory
 from waeup.kofa.utils.helpers import attrs_to_fields
-from waeup.uniben.applicants.interfaces import(
+from waeup.futminna.applicants.interfaces import(
     ICustomApplicant, IUGApplicantEdit, IPGApplicantEdit, IPUTMEApplicantEdit)
 
Index: main/waeup.futminna/trunk/src/waeup/futminna/applicants/batching.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/applicants/batching.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/applicants/batching.py	(revision 8619)
@@ -21,5 +21,5 @@
 from waeup.kofa.utils.batching import BatchProcessor
 from waeup.kofa.applicants.batching import ApplicantProcessor
-from waeup.uniben.applicants.interfaces import (
+from waeup.futminna.applicants.interfaces import (
     ICustomApplicant, ICustomApplicantUpdateByRegNo)
 
Index: main/waeup.futminna/trunk/src/waeup/futminna/applicants/browser.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/applicants/browser.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/applicants/browser.py	(revision 8619)
@@ -35,5 +35,5 @@
     PaymentReceiptActionButton)
 from waeup.kofa.applicants.pdf import PDFApplicationSlip
-from waeup.uniben.applicants.interfaces import (
+from waeup.futminna.applicants.interfaces import (
     IPGApplicant, IUGApplicant, IPGApplicantEdit, IUGApplicantEdit,
     ICustomApplicantOnlinePayment, IPUTMEApplicantEdit,
@@ -42,5 +42,5 @@
     UG_OMIT_MANAGE_FIELDS, PG_OMIT_MANAGE_FIELDS,
     UG_OMIT_EDIT_FIELDS, PG_OMIT_EDIT_FIELDS, PUTME_OMIT_EDIT_FIELDS)
-from waeup.uniben.interfaces import MessageFactory as _
+from waeup.futminna.interfaces import MessageFactory as _
 
 #class RequestCallbackActionButton(RequestCallbackActionButton):
Index: main/waeup.futminna/trunk/src/waeup/futminna/applicants/export.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/applicants/export.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/applicants/export.py	(revision 8619)
@@ -21,5 +21,5 @@
 from waeup.kofa.applicants.interfaces import IApplicantBaseData
 from waeup.kofa.applicants.export import ApplicantsExporter
-from waeup.uniben.applicants.interfaces import IUGApplicant, IPGApplicant
+from waeup.futminna.applicants.interfaces import IUGApplicant, IPGApplicant
 
 class CustomApplicantsExporter(ApplicantsExporter):
Index: main/waeup.futminna/trunk/src/waeup/futminna/applicants/interfaces.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/applicants/interfaces.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/applicants/interfaces.py	(revision 8619)
@@ -29,8 +29,8 @@
 from waeup.kofa.students.vocabularies import nats_vocab, GenderSource
 from waeup.kofa.applicants.interfaces import contextual_reg_num_source
-from waeup.uniben.interfaces import (
+from waeup.futminna.interfaces import (
     LGASource, high_qual, high_grade, exam_types)
-from waeup.uniben.interfaces import MessageFactory as _
-from waeup.uniben.payments.interfaces import ICustomOnlinePayment
+from waeup.futminna.interfaces import MessageFactory as _
+from waeup.futminna.payments.interfaces import ICustomOnlinePayment
 
 UG_OMIT_DISPLAY_FIELDS = ('locked', 'course_admitted', 'password')
Index: main/waeup.futminna/trunk/src/waeup/futminna/applicants/payment.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/applicants/payment.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/applicants/payment.py	(revision 8619)
@@ -24,5 +24,5 @@
 from waeup.kofa.applicants.payment import ApplicantOnlinePayment
 from waeup.kofa.utils.helpers import attrs_to_fields
-from waeup.uniben.applicants.interfaces import ICustomApplicantOnlinePayment
+from waeup.futminna.applicants.interfaces import ICustomApplicantOnlinePayment
 
 class CustomApplicantOnlinePayment(ApplicantOnlinePayment):
Index: main/waeup.futminna/trunk/src/waeup/futminna/applicants/tests.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/applicants/tests.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/applicants/tests.py	(revision 8619)
@@ -34,7 +34,7 @@
 from waeup.kofa.applicants.tests.test_batching import ApplicantImportExportSetup
 from waeup.kofa.interfaces import IBatchProcessor
-from waeup.uniben.testing import FunctionalLayer
-from waeup.uniben.applicants.export import CustomApplicantsExporter
-from waeup.uniben.applicants.batching import CustomApplicantProcessor
+from waeup.futminna.testing import FunctionalLayer
+from waeup.futminna.applicants.export import CustomApplicantsExporter
+from waeup.futminna.applicants.batching import CustomApplicantProcessor
 
 
Index: main/waeup.futminna/trunk/src/waeup/futminna/applicants/utils.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/applicants/utils.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/applicants/utils.py	(revision 8619)
@@ -24,5 +24,5 @@
 from hurry.workflow.interfaces import IWorkflowInfo, InvalidTransitionError
 from waeup.kofa.applicants.utils import ApplicantsUtils
-from waeup.uniben.interfaces import MessageFactory as _
+from waeup.futminna.interfaces import MessageFactory as _
 
 
Index: main/waeup.futminna/trunk/src/waeup/futminna/browser/pages.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/browser/pages.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/browser/pages.py	(revision 8619)
@@ -19,5 +19,5 @@
 from waeup.kofa.browser.pages import (
     SessionConfigurationAddFormPage, SessionConfigurationManageFormPage)
-from waeup.uniben.interfaces import (
+from waeup.futminna.interfaces import (
     ICustomSessionConfiguration, ICustomSessionConfigurationAdd)
 
Index: main/waeup.futminna/trunk/src/waeup/futminna/browser/tests.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/browser/tests.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/browser/tests.py	(revision 8619)
@@ -22,5 +22,5 @@
 from zope.security.interfaces import Unauthorized
 from waeup.kofa.testing import FunctionalTestCase
-from waeup.uniben.testing import FunctionalLayer
+from waeup.futminna.testing import FunctionalLayer
 from waeup.kofa.app import University
 
@@ -52,5 +52,5 @@
         self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
         self.browser.open('http://localhost/app/configuration')
-        self.assertMatches('...Uniben Theme...', self.browser.contents)
+        self.assertMatches('...FUTMinna Theme...', self.browser.contents)
         self.browser.getControl(name="form.skin").value = ['custom theme']
         self.browser.getControl("Save").click()
@@ -62,4 +62,4 @@
         self.browser.addHeader('Authorization', 'Basic grok:grok')
         self.assertRaises(
-            Unauthorized, self.browser.open, 'https://uniben-kofa.waeup.org')
+            Unauthorized, self.browser.open, 'https://futminna-kofa.waeup.org')
         return
Index: main/waeup.futminna/trunk/src/waeup/futminna/browser/theming.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/browser/theming.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/browser/theming.py	(revision 8619)
@@ -18,7 +18,7 @@
 import grok
 from waeup.kofa.browser.interfaces import ITheme
-from waeup.uniben.browser.resources import custom_theme, favicon
+from waeup.futminna.browser.resources import custom_theme, favicon
 
-from waeup.uniben.interfaces import MessageFactory as _
+from waeup.futminna.interfaces import MessageFactory as _
 
 class CustomTheme(grok.GlobalUtility):
@@ -28,5 +28,5 @@
     grok.name('custom theme')
 
-    description = _(u'Uniben Theme')
+    description = _(u'FUTMinna Theme')
 
     def getResources(self):
Index: main/waeup.futminna/trunk/src/waeup/futminna/configuration.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/configuration.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/configuration.py	(revision 8619)
@@ -24,5 +24,5 @@
 from waeup.kofa.configuration import (
     SessionConfigurationFactory, SessionConfiguration)
-from waeup.uniben.interfaces import (
+from waeup.futminna.interfaces import (
     ICustomSessionConfiguration, ICustomSessionConfigurationAdd)
 
Index: main/waeup.futminna/trunk/src/waeup/futminna/configure.zcml
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/configure.zcml	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/configure.zcml	(revision 8619)
@@ -1,7 +1,7 @@
 <configure xmlns="http://namespaces.zope.org/zope">
 
-  <include package="waeup.uniben" file="locales.zcml" />
+  <include package="waeup.futminna" file="locales.zcml" />
   <include package="grok" />
-  <includeOverrides package="waeup.uniben" file="overrides.zcml" />
+  <includeOverrides package="waeup.futminna" file="overrides.zcml" />
 
 </configure>
Index: main/waeup.futminna/trunk/src/waeup/futminna/etranzact/browser.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/etranzact/browser.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/etranzact/browser.py	(revision 8619)
@@ -24,7 +24,7 @@
 from waeup.kofa.students.viewlets import ApprovePaymentActionButton as APABStudent
 from waeup.kofa.applicants.viewlets import ApprovePaymentActionButton as APABApplicant
-from waeup.uniben.interfaces import MessageFactory as _
-from waeup.uniben.students.interfaces import ICustomStudentOnlinePayment
-from waeup.uniben.applicants.interfaces import ICustomApplicantOnlinePayment
+from waeup.futminna.interfaces import MessageFactory as _
+from waeup.futminna.students.interfaces import ICustomStudentOnlinePayment
+from waeup.futminna.applicants.interfaces import ICustomApplicantOnlinePayment
 
 #TERMINAL_ID = '0500000003'
Index: main/waeup.futminna/trunk/src/waeup/futminna/etranzact/tests.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/etranzact/tests.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/etranzact/tests.py	(revision 8619)
@@ -20,5 +20,5 @@
 from waeup.kofa.applicants.tests.test_browser import ApplicantsFullSetup
 from waeup.kofa.configuration import SessionConfiguration
-from waeup.uniben.testing import FunctionalLayer
+from waeup.futminna.testing import FunctionalLayer
 
 
Index: main/waeup.futminna/trunk/src/waeup/futminna/ftesting.zcml
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/ftesting.zcml	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/ftesting.zcml	(revision 8619)
@@ -3,10 +3,10 @@
    xmlns:kofa="http://namespaces.waeup.org/kofa"
    i18n_domain="waeup.custom"
-   package="waeup.uniben"
+   package="waeup.futminna"
    >
 
   <include package="grok" />
-  <includeOverrides package="waeup.uniben" />
-  <includeOverrides package="waeup.uniben" file="mail.zcml"/>
+  <includeOverrides package="waeup.futminna" />
+  <includeOverrides package="waeup.futminna" file="mail.zcml"/>
 
   <!-- Where should the datacenter reside by default? -->
Index: main/waeup.futminna/trunk/src/waeup/futminna/interfaces.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/interfaces.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/interfaces.py	(revision 8619)
@@ -22,5 +22,5 @@
 from waeup.kofa.interfaces import (SimpleKofaVocabulary,
     ISessionConfiguration, academic_sessions_vocab)
-from waeup.uniben.utils.lgas import LGAS
+from waeup.futminna.utils.lgas import LGAS
 
 _ = MessageFactory = zope.i18nmessageid.MessageFactory('waeup.custom')
Index: main/waeup.futminna/trunk/src/waeup/futminna/interswitch/browser.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/interswitch/browser.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/interswitch/browser.py	(revision 8619)
@@ -30,14 +30,14 @@
 from waeup.kofa.applicants.viewlets import ApprovePaymentActionButton as APABApplicant
 from waeup.kofa.payments.interfaces import payment_categories
-from waeup.uniben.students.interfaces import ICustomStudentOnlinePayment
-from waeup.uniben.applicants.interfaces import ICustomApplicantOnlinePayment
-from waeup.uniben.interfaces import MessageFactory as _
+from waeup.futminna.students.interfaces import ICustomStudentOnlinePayment
+from waeup.futminna.applicants.interfaces import ICustomApplicantOnlinePayment
+from waeup.futminna.interfaces import MessageFactory as _
 
 PRODUCT_ID = '57'
-SITE_NAME = 'uniben-kofa.waeup.org'
+SITE_NAME = 'futminna-kofa.waeup.org'
 PROVIDER_ACCT = '1010764827'
 PROVIDER_BANK_ID = '117'
 PROVIDER_ITEM_NAME = 'BT Education'
-INSTITUTION_NAME = 'Uniben'
+INSTITUTION_NAME = 'FUTMinna'
 CURRENCY = '566'
 #QUERY_URL = 'https://webpay.interswitchng.com/paydirect/services/TransactionQueryURL.aspx'
Index: main/waeup.futminna/trunk/src/waeup/futminna/interswitch/tests.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/interswitch/tests.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/interswitch/tests.py	(revision 8619)
@@ -20,5 +20,5 @@
 from waeup.kofa.applicants.tests.test_browser import ApplicantsFullSetup
 from waeup.kofa.configuration import SessionConfiguration
-from waeup.uniben.testing import FunctionalLayer
+from waeup.futminna.testing import FunctionalLayer
 
 # Also run tests that send requests to external servers?
Index: main/waeup.futminna/trunk/src/waeup/futminna/overrides.zcml
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/overrides.zcml	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/overrides.zcml	(revision 8619)
@@ -9,5 +9,5 @@
            zope.publisher.interfaces.browser.IBrowserRequest"
       provides="zope.formlib.interfaces.ISimpleInputWidget"
-      factory="waeup.uniben.widgets.phonewidget.CustomPhoneWidget"
+      factory="waeup.futminna.widgets.phonewidget.CustomPhoneWidget"
       permission="zope.Public"
       />
Index: main/waeup.futminna/trunk/src/waeup/futminna/permissions.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/permissions.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/permissions.py	(revision 8619)
@@ -20,5 +20,5 @@
 
 class CRPUOfficer(grok.Role):
-    """ Permissions of Uniben CRPU members.
+    """ Permissions of FUTMinna CRPU members.
 
     This is basically a copy of the the PortalManager. We exclude some
@@ -27,5 +27,5 @@
 
     grok.name('waeup.CRPUOfficer')
-    grok.title(u'Uniben CRPU Officer')
+    grok.title(u'FUTMinna CRPU Officer')
     grok.permissions('waeup.managePortal',
                      #'waeup.manageUsers',
Index: main/waeup.futminna/trunk/src/waeup/futminna/students/batching.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/students/batching.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/students/batching.py	(revision 8619)
@@ -24,5 +24,5 @@
 students, studycourses, payment tickets and accommodation tickets.
 """
-from waeup.uniben.students.interfaces import (
+from waeup.futminna.students.interfaces import (
     ICustomStudent, ICustomStudentUpdateByRegNo,
     ICustomStudentUpdateByMatricNo
Index: main/waeup.futminna/trunk/src/waeup/futminna/students/browser.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/students/browser.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/students/browser.py	(revision 8619)
@@ -33,10 +33,10 @@
 from waeup.kofa.students.viewlets import (
     PaymentReceiptActionButton)
-from waeup.uniben.students.interfaces import (
+from waeup.futminna.students.interfaces import (
     ICustomStudentBase, ICustomStudent, ICustomStudentPersonal,
     ICustomUGStudentClearance,ICustomPGStudentClearance,
     ICustomStudentOnlinePayment,
     )
-from waeup.uniben.interfaces import MessageFactory as _
+from waeup.futminna.interfaces import MessageFactory as _
 
 #class RequestCallbackActionButton(RequestCallbackActionButton):
Index: main/waeup.futminna/trunk/src/waeup/futminna/students/interfaces.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/students/interfaces.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/students/interfaces.py	(revision 8619)
@@ -29,9 +29,9 @@
 from waeup.kofa.students.vocabularies import (
     nats_vocab, contextual_reg_num_source)
-from waeup.uniben.interfaces import (
+from waeup.futminna.interfaces import (
     high_qual, high_grade, exam_types, LGASource)
-from waeup.uniben.interfaces import MessageFactory as _
-from waeup.uniben.payments.interfaces import ICustomOnlinePayment
-from waeup.uniben.utils.lgas import LGAS
+from waeup.futminna.interfaces import MessageFactory as _
+from waeup.futminna.payments.interfaces import ICustomOnlinePayment
+from waeup.futminna.utils.lgas import LGAS
 
 
Index: main/waeup.futminna/trunk/src/waeup/futminna/students/payments.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/students/payments.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/students/payments.py	(revision 8619)
@@ -25,5 +25,5 @@
 from waeup.kofa.students.payments import StudentOnlinePayment
 from waeup.kofa.utils.helpers import attrs_to_fields
-from waeup.uniben.students.interfaces import ICustomStudentOnlinePayment
+from waeup.futminna.students.interfaces import ICustomStudentOnlinePayment
 
 class CustomStudentOnlinePayment(StudentOnlinePayment):
Index: main/waeup.futminna/trunk/src/waeup/futminna/students/student.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/students/student.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/students/student.py	(revision 8619)
@@ -23,5 +23,5 @@
 from waeup.kofa.utils.helpers import attrs_to_fields
 from waeup.kofa.students.student import Student, StudentFactory
-from waeup.uniben.students.interfaces import ICustomStudent, IStudentNavigation
+from waeup.futminna.students.interfaces import ICustomStudent, IStudentNavigation
 
 
Index: main/waeup.futminna/trunk/src/waeup/futminna/students/studycourse.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/students/studycourse.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/students/studycourse.py	(revision 8619)
@@ -26,5 +26,5 @@
 from waeup.kofa.utils.helpers import attrs_to_fields
 from waeup.kofa.students.workflow import CLEARED, RETURNING, PAID
-from waeup.uniben.students.interfaces import (
+from waeup.futminna.students.interfaces import (
     ICustomStudentStudyCourse, IStudentNavigation)
 
Index: main/waeup.futminna/trunk/src/waeup/futminna/students/studylevel.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/students/studylevel.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/students/studylevel.py	(revision 8619)
@@ -27,5 +27,5 @@
     StudentStudyLevel, CourseTicket,
     CourseTicketFactory, StudentStudyLevelFactory)
-from waeup.uniben.students.interfaces import (
+from waeup.futminna.students.interfaces import (
     ICustomStudentStudyLevel, IStudentNavigation, ICustomCourseTicket)
 
Index: main/waeup.futminna/trunk/src/waeup/futminna/students/tests/test_browser.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/students/tests/test_browser.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/students/tests/test_browser.py	(revision 8619)
@@ -28,7 +28,7 @@
 from waeup.kofa.students.batching import StudentProcessor
 from waeup.kofa.students.interfaces import IStudentsUtils
-from waeup.uniben.students.batching import CustomStudentProcessor
-from waeup.uniben.testing import FunctionalLayer
-from waeup.uniben.students.interfaces import (
+from waeup.futminna.students.batching import CustomStudentProcessor
+from waeup.futminna.testing import FunctionalLayer
+from waeup.futminna.students.interfaces import (
     ICustomStudentStudyCourse, ICustomStudent,
     ICustomStudentStudyLevel, ICustomCourseTicket)
Index: main/waeup.futminna/trunk/src/waeup/futminna/students/tests/test_student.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/students/tests/test_student.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/students/tests/test_student.py	(revision 8619)
@@ -22,15 +22,15 @@
 from zope.interface import verify
 from waeup.kofa.testing import FunctionalTestCase
-from waeup.uniben.students.student import CustomStudent, CustomStudentFactory
-from waeup.uniben.students.studycourse import (
+from waeup.futminna.students.student import CustomStudent, CustomStudentFactory
+from waeup.futminna.students.studycourse import (
     CustomStudentStudyCourse, CustomStudentStudyCourseFactory)
-from waeup.uniben.students.studylevel import (
+from waeup.futminna.students.studylevel import (
     CustomStudentStudyLevel, CustomCourseTicket,
     CustomStudentStudyLevelFactory,
     CustomCourseTicketFactory)
-from waeup.uniben.students.interfaces import (
+from waeup.futminna.students.interfaces import (
     ICustomStudent, ICustomStudentStudyCourse,
     ICustomStudentStudyLevel, ICustomCourseTicket)
-from waeup.uniben.testing import FunctionalLayer
+from waeup.futminna.testing import FunctionalLayer
 
 
Index: main/waeup.futminna/trunk/src/waeup/futminna/students/utils.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/students/utils.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/students/utils.py	(revision 8619)
@@ -23,5 +23,5 @@
 from waeup.kofa.students.interfaces import IStudentsUtils
 from waeup.kofa.accesscodes import create_accesscode
-from waeup.uniben.interfaces import MessageFactory as _
+from waeup.futminna.interfaces import MessageFactory as _
 
 class CustomStudentsUtils(StudentsUtils):
@@ -154,5 +154,5 @@
         }
 
-    # Uniben separators
+    # FUTMinna separators
     SEPARATORS_DICT = {
         'form.fst_sit_fname': _(u'First Sitting Record'),
@@ -163,7 +163,7 @@
         'form.nysc_year': _(u'NYSC Information'),
         'form.employer': _(u'Employment History'),
-        'form.former_matric': _(u'Former Uniben Student'),
+        'form.former_matric': _(u'Former FUTMinna Student'),
         }
 
-    # Uniben prefix
-    STUDENT_ID_PREFIX = u'B'
+    # FUTMinna prefix
+    STUDENT_ID_PREFIX = u'M'
Index: main/waeup.futminna/trunk/src/waeup/futminna/students/viewlets.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/students/viewlets.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/students/viewlets.py	(revision 8619)
@@ -22,5 +22,5 @@
 from waeup.kofa.students.browser import ExportPDFClearanceSlipPage
 
-from waeup.uniben.interfaces import MessageFactory as _
+from waeup.futminna.interfaces import MessageFactory as _
 
 # LGA Identification
Index: main/waeup.futminna/trunk/src/waeup/futminna/testing.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/testing.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/testing.py	(revision 8619)
@@ -19,9 +19,9 @@
 """
 import os.path
-import waeup.uniben
+import waeup.futminna
 from zope.app.testing.functional import ZCMLLayer
 
 ftesting_zcml = os.path.join(
-    os.path.dirname(waeup.uniben.__file__), 'ftesting.zcml')
+    os.path.dirname(waeup.futminna.__file__), 'ftesting.zcml')
 FunctionalLayer = ZCMLLayer(ftesting_zcml, __name__, 'FunctionalLayer',
                             allow_teardown=True)
Index: main/waeup.futminna/trunk/src/waeup/futminna/tests/test_configuration.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/tests/test_configuration.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/tests/test_configuration.py	(revision 8619)
@@ -25,9 +25,9 @@
 from waeup.kofa.tests.test_configuration import (
     ConfigurationTest, SessionConfigurationFactoryTest)
-from waeup.uniben.configuration import (
+from waeup.futminna.configuration import (
     CustomSessionConfiguration, CustomSessionConfigurationFactory)
-from waeup.uniben.interfaces import(
+from waeup.futminna.interfaces import(
     ICustomSessionConfiguration, ICustomSessionConfigurationAdd)
-from waeup.uniben.testing import FunctionalLayer
+from waeup.futminna.testing import FunctionalLayer
 
 class ConfigurationTest(ConfigurationTest):
Index: main/waeup.futminna/trunk/src/waeup/futminna/tests/test_datacenter.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/tests/test_datacenter.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/tests/test_datacenter.py	(revision 8619)
@@ -18,5 +18,5 @@
 from waeup.kofa.datacenter import DataCenter
 from waeup.kofa.testing import FunctionalTestCase
-from waeup.uniben.testing import FunctionalLayer
+from waeup.futminna.testing import FunctionalLayer
 
 
Index: main/waeup.futminna/trunk/src/waeup/futminna/tests/test_smtp.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/tests/test_smtp.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/tests/test_smtp.py	(revision 8619)
@@ -33,5 +33,5 @@
     send_mail)
 from waeup.kofa.testing import FunctionalTestCase
-from waeup.uniben.testing import FunctionalLayer
+from waeup.futminna.testing import FunctionalLayer
 
 #
Index: main/waeup.futminna/trunk/src/waeup/futminna/utils/tests.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/utils/tests.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/utils/tests.py	(revision 8619)
@@ -17,5 +17,5 @@
 ##
 from waeup.kofa.testing import FunctionalTestCase
-from waeup.uniben.testing import FunctionalLayer
+from waeup.futminna.testing import FunctionalLayer
 
 
Index: main/waeup.futminna/trunk/src/waeup/futminna/utils/utils.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/uniben/utils/utils.py	(revision 8618)
+++ main/waeup.futminna/trunk/src/waeup/futminna/utils/utils.py	(revision 8619)
@@ -21,5 +21,5 @@
 import pytz
 from waeup.kofa.utils.utils import KofaUtils, sorted_phone_prefixes
-from waeup.uniben.interfaces import MessageFactory as _
+from waeup.futminna.interfaces import MessageFactory as _
 
 INT_PHONE_PREFIXES = [
